# OpenLayers.Geometry.MultiPoint

MultiPoint is a collection of Points. Create a new instance with the OpenLayers.Geometry.MultiPoint constructor.

#### Inherits from

- OpenLayers.Geometry.Collection
- OpenLayers.Geometry

Summary

OpenLayers.Geometry.MultiPoint | MultiPoint is a collection of Points.
Properties |
componentTypes | {Array(String)} An array of class names representing the types of components that the collection can include.
Constructor |
OpenLayers.Geometry.MultiPoint | Create a new MultiPoint Geometry
Functions |
addPoint | Wrapper for OpenLayers.Geometry.Collection.addComponent
removePoint | Wrapper for OpenLayers.Geometry.Collection.removeComponent

### Properties

### componentTypes

{Array(String)} An array of class names representing the types of components that the collection can include. A null value means the component types are not restricted.

### Constructor

### OpenLayers.Geometry.MultiPoint

Create a new MultiPoint Geometry

#### Parameters

components | {Array(OpenLayers.Geometry.Point)}

#### Returns

{OpenLayers.Geometry.MultiPoint}

### Functions

### addPoint

> addPoint: function( | point,
> | index | )

Wrapper for OpenLayers.Geometry.Collection.addComponent

#### Parameters

point | {OpenLayers.Geometry.Point} Point to be added
index | {Integer} Optional index

### removePoint

> removePoint: function( | point | )

Wrapper for OpenLayers.Geometry.Collection.removeComponent

#### Parameters

point | {OpenLayers.Geometry.Point} Point to be removed

> addPoint: function( | point,
> | index | )

Wrapper for OpenLayers.Geometry.Collection.addComponent

> addComponent: function( | component,
> | index | )

Add a new component (geometry) to the collection.

> removePoint: function( | point | )

Wrapper for OpenLayers.Geometry.Collection.removeComponent

> removeComponent: function( | component | )

Remove a component from this geometry.
Create a new MultiPoint Geometry
A Collection is exactly what it sounds like: A collection of different Geometries.
A Geometry is a description of a geographic object.
Point geometry class.
Close